
/*
//===============================================================================
//
// calib_constants.cc
// 
// 8/26/01  D. Lawrence
// 
// The routines in this file provide a means for reading in calibration
// constants for a given run. Initially, they just read them from files
// in a predefined location or one pointed to by the environment. Eventually,
// This should all be in a database.
// 
// 
//===============================================================================
*/

#ifndef __CALIB_CONSTANTS_H__
#define __CALIB_CONSTANTS_H__



/* C headers */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>


#ifdef __cplusplus
// C++ specific headers
#include <stdiostream.h>
#include <libio.h>
#include <iostream.h>
#include <strstream.h>
#include <iomanip.h>
#include <pthread.h>
#endif /* __cplusplus */

#ifdef __cplusplus
extern "C" {
#endif

enum calib_constant_data_types{
	CALIB_DATA_TYPE_NONE,
	CALIB_DATA_TYPE_FLOAT,
	CALIB_DATA_TYPE_INT,
	NUM_CALIB_DATA_TYPES
};


/* Routine declarations (make C compatible) */
int GetCalibConstants(int runno, char *name,int N, void *array,int type);
int GetCalibConstants_Float(int runno, char *name,int N, float *array);
int GetCalibConstants_Int(int runno, char *name,int N, int *array);



#ifdef __cplusplus
}
#endif
#endif /* __CALIB_CONSTANTS_H__ */