
/*
//===============================================================================
//
// coda_file.h
// 
// 8/20/01  D. Lawrence
// 
// The routines in this file can be used to open a CODA formatted data
// file and read in events from it. It only looks at the root bank for each
// event and does not do any further parsing of the data within that bank.
// (Use the routines in coda_parse.cc for that,)
// 
// 
//===============================================================================
*/

#ifndef __CODA_FILE_H__
#define __CODA_FILE_H__

#include <coda_parse.h>    /* for CODA_bank_t, ...  */


/* C headers */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>


#ifdef __cplusplus
// C++ specific headers
#include <stdiostream.h>
#include <libio.h>
#include <iostream.h>
#include <strstream.h>
#include <iomanip.h>
#include <pthread.h>
#endif /* __cplusplus */

#ifdef __cplusplus
extern "C" {
#endif


/* Routine declarations (make C compatible) */
FILE* OpenCODAFile(char *fname);
int CloseCODAFile(FILE *file);
int ReadCODAEventFromFile(FILE *file,CODA_header_t **evt);



#ifdef __cplusplus
}
#endif
#endif /* __CODA_FILE_H__ */